#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int x,y,a,b;
    scanf("%lld",&a);
    scanf("%lld",&b);
    scanf("%lld",&x);
    scanf("%lld",&y);
    if(x==a && y==b)
    {
        printf("nijedan");
    }
    if(x<a && y<b)
    {
        printf("?");
    }
    if(x==a && y<b)
    {
printf("drugi");
    }
    if(x<a && y==b)
    {
        printf("prvi");
    }
    return 0;
}